Page MenuHomePhabricator

Hard deprecate WikiPage::updateIfNewerOn
Closed, ResolvedPublic

Description

Soft deprecated in 1.24

Article::updateIfNewerOn has likewise been hard deprecated at https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/588838/

Uses:

  • Core - ImportableOldRevisionImporter
  • Core - PageArchive
  • FlaggedRevs - UpdateFRTracking

CodeSearch: https://codesearch.wmflabs.org/search/?q=-%3EupdateIfNewerOn%5C(&i=nope&files=&repos=

Event Timeline

DannyS712 triaged this task as Medium priority.Apr 15 2020, 8:26 PM
DannyS712 created this task.
DannyS712 moved this task from Unsorted to Next on the User-DannyS712 board.
DannyS712 updated the task description. (Show Details)
DannyS712 added a comment.EditedApr 15 2020, 8:28 PM

https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/588839/ made the replacement, updateRevisionOn, accept a RevisionRecord; callers can be updated to both use the new method and provide RevisionRecords at the same time

DannyS712 updated the task description. (Show Details)Apr 17 2020, 4:31 PM

Original patch to deprecate has some explanation: https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/134049/

Change 589642 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/FlaggedRevs@master] Replace WikiPage::updateIfNewerOn with ::updateRevisionOn

https://gerrit.wikimedia.org/r/589642

DannyS712 moved this task from Next to In progress on the User-DannyS712 board.Apr 17 2020, 4:57 PM

Change 594416 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] ImportableOldRevisionImporter: Remove use of Revision objects

https://gerrit.wikimedia.org/r/594416

Change 604247 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] ImportableOldRevisionImporter: Don't call WikiPage::updateIfNewerOn

https://gerrit.wikimedia.org/r/604247

Change 604247 merged by jenkins-bot:
[mediawiki/core@master] ImportableOldRevisionImporter: Don't call WikiPage::updateIfNewerOn

https://gerrit.wikimedia.org/r/604247

DannyS712 updated the task description. (Show Details)Jun 15 2020, 10:00 PM

Change 589642 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Replace WikiPage::updateIfNewerOn with ::updateRevisionOn

https://gerrit.wikimedia.org/r/589642

DannyS712 updated the task description. (Show Details)Jun 16 2020, 1:57 AM

Change 605717 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Replace last usage, hard deprecate WikiPage::updateIfNewerOn

https://gerrit.wikimedia.org/r/605717

Change 605717 merged by jenkins-bot:
[mediawiki/core@master] Replace last usage, hard deprecate WikiPage::updateIfNewerOn

https://gerrit.wikimedia.org/r/605717

DannyS712 closed this task as Resolved.Jun 17 2020, 8:44 PM
DannyS712 removed a project: Patch-For-Review.
DannyS712 updated the task description. (Show Details)